[Twisted-Python] Importing twisted.web.soap raises an exception

Andrew Bennetts andrew-twisted at puzzling.org
Tue Jul 1 08:54:33 EDT 2003

On Tue, Jul 01, 2003 at 02:46:19PM +0200, Thomas Weholt ( PRIVAT ) wrote:
> Trying to use twisted.web.soap raises an exception, saying it cannot import
> SOAP-module. Why isn't this module in the distribution and where is it
> located? I'm using Twisted 1.0.6.

As the docstring of t.w.soap says: "Requires SOAPpy."

You can find it at http://pywebsvcs.sf.net/, although I think you need to
comment out these lines in t.w.soap to make the latest version work:

    # fix 2.2 issues with SOAP
    SOAP.SOAPBuilder.dump_str = SOAP.SOAPBuilder.dump_string
    SOAP.SOAPBuilder.dump_dict = SOAP.SOAPBuilder.dump_dictionary

The docstring should probably updated to include a URL, and those lines
removed to reflect the current stable version of SOAPpy...


More information about the Twisted-Python mailing list